import request from '@/config/axios'

// 获取学校基本信息
export const getSchoolInformation = async () => {
	return await request.post({
		url: '/app-api/flames/school/information'
	})
}

// 注册学校账号
export const schoolRegister = async (data) => {
	return await request.post({
		url: '/app-api/flames/school/register',
		data
	})
}

// 学校认证信息被拒绝后修改
export const schoolUpdate = async (data) => {
	return await request.post({
		url: '/app-api/flames/school/update',
		data
	})
}

// 根据学校id获取审核拒绝信息
export const getSchoolAuditById = async (data) => {
	return await request.post({
		url: '/app-api/flames/user/auth/record/get',
		data
	})
}

// 学校信息编辑
export const schoolBaseInfoEdit = async (data) => {
	return await request.post({
		url: '/app-api/flames/school/basic/update',
		data
	})
}

// 院系信息编辑
export const schoolDepartmentEdit = async (data) => {
	return await request.post({
		url: '/app-api/flames/school/department/saves',
		data
	})
}